CVE-2015-8771

NameCVE-2015-8771
DescriptionThe generate_smb_nt_hash function in include/functions.inc in GOsa allows remote attackers to execute arbitrary commands via a crafted password.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-408-1, DLA-562-1
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gosa (PTS)wheezy2.7.4-4.3~deb7u2vulnerable
wheezy (security)2.7.4-4.3~deb7u3fixed
jessie2.7.4+reloaded2-1+deb8u2fixed
buster, sid, stretch2.7.4+reloaded2-13fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
gosasource(unstable)2.7.4+reloaded2-6high
gosasourcejessie2.7.4+reloaded2-1+deb8u2high
gosasourcesqueeze2.6.11-3+squeeze5highDLA-408-1
gosasourcewheezy2.7.4-4.3~deb7u3highDLA-562-1

Notes

https://github.com/gosa-project/gosa-core/commit/a67a047cba2cdae8bccb0f0e2bc6d3eb45cfcbc8

Search for package or bug name: Reporting problems